org.wso2.carbon.device.mgt.mobile.windows.api.common.util

## Class BSTValidator

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.util.BSTValidator

- All Implemented Interfaces:
    org.apache.ws.security.validate.Validator

      public class BSTValidator
      extends Object
      implements org.apache.ws.security.validate.Validator

  Validator class for user authentication checking the default carbon user store.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BSTValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.ws.security.validate.Credential` | `validate(org.apache.ws.security.validate.Credential credential, org.apache.ws.security.handler.RequestData requestData)` This method validates the binary security token in SOAP message coming from the device.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BSTValidator

          public BSTValidator()

  - ### Method Detail

    - #### validate

          public org.apache.ws.security.validate.Credential validate(org.apache.ws.security.validate.Credential credential,
                                                            org.apache.ws.security.handler.RequestData requestData)
                                                              throws org.apache.ws.security.WSSecurityException

      This method validates the binary security token in SOAP message coming from the device.
      Specified by:
        `validate` in interface `org.apache.ws.security.validate.Validator`
      Parameters:
        `credential` - - binary security token credential object.
        `requestData` - - Request data associated with the request.
      Returns:
        - Credential object if authentication is success, or null if not success.
      Throws:
        `org.apache.ws.security.WSSecurityException`

Copyright © 2017 WSO2. All rights reserved.